
ChiliProject - Feature # 279: Optional start date on Versions

Status: Closed Priority: Normal
Author: Eric Davis Category: Versions
Created: 2011-03-13 Assignee: Holger Just
Updated: 2011-04-07 Due date:
Remote issue URL:
Affected version:
Description: Right now a Version's start date is determined by the earliest start date of an issue. This causes problems if 

an issue was "pushed" from a previous version. I propose having an optional start date on versions, so things 
like the Gantt can use the actual start date.

Example:

* Version "Old", represents 6 months of time - due 2010-05-01
* Version "New", represents the next 6 months of time - due 2010-12-01
* Issue 100 created 2010-01-01

When Issue 100 is assigned to Version Old, Version Old's date range is from 2010-01-01 to 2010-05-01. If 
Issue 100 is reassigned to Version New, Version Old's date range becomes 'nil' to 2010-05-01. Version New's 
date range is now 2010-01-01 to 2010-12-01, which includes the entire Version Old.

Associated revisions
2011-03-14 03:14 am - Eric Davis
[#279] Add an optional Start Date to Versions

History
2011-03-14 02:21 am - Eric Davis
- Status changed from Open to Ready for review

I've added an optional start date to Versions. I cleared the "field_effective_date" i18n key because that was using *Date* when it should have been *Due 
date* (though it's also called @effective_date@ in the code).

This should go into a major version because of the database change (e.g. 2.0.0)

Pull request: https://github.com/chiliproject/chiliproject/pull/24

2011-04-07 09:51 pm - Holger Just
- Target version set to 2.0.0

- Assignee changed from Eric Davis to Holger Just

- Status changed from Ready for review to Closed

Merged into unstable. Thanks, Eric.
